- Qt 6.8
- Qt SCXML
- qt_add_statecharts
- Qt 6.8.3 Reference Documentation

# qt_add_statecharts

This command was introduced in Qt 6.1.

## Description

The `qt6_add_statecharts` macro instructs CMake to invoke the qscxmlc tool to read the provided .scxml files and produce C++ source and header files, that contain the classes that implement the state machines as defined in SCXML.

## Synopsis

     qt6_add_statecharts(<TARGET> file1.scxml [file2.scxml ...]
                         [OPTIONS ...])

For further instructions, options and examples please refer to Using the Qt SCXML Compiler (qscxmlc)